<?php
// lost password
	function logingpower_lostpassword() {
		$logingpower_style="body.login div#login p#nav a {
			color:". esc_attr(( get_option('logingpower_settings')['logingpower_lostpassword_label_color'] )??'#50575e' )."!important;
			font-size:". esc_attr(( get_option('logingpower_settings')['logingpower_lostpassword_label_fontsize'] )??'13' )."px !important;}";
		wp_add_inline_style('login',$logingpower_style);
		$logingpower_style="body.login div#login p#nav a:hover {
			color:". esc_attr(( get_option('logingpower_settings')['logingpower_lostpassword_label_hover_color'] )??'#135e96' )."!important;}";
		wp_add_inline_style('login',$logingpower_style);
		$logingpower_style="body.login div#login p#backtoblog a {
			color:". esc_attr(( get_option('logingpower_settings')['logingpower_backtoblog_label_color'] )??'#50575e' )."!important;
			font-size:". esc_attr(( get_option('logingpower_settings')['logingpower_backtoblog_label_fontsize'] )??'13' )."px !important;}";
		wp_add_inline_style('login',$logingpower_style);
		$logingpower_style="body.login div#login p#backtoblog a:hover {
			color:". esc_attr(( get_option('logingpower_settings')['logingpower_backtoblog_label_hover_color'] )??'#135e96' )."!important;}";
		wp_add_inline_style('login',$logingpower_style);
		
		add_filter( 'gettext', 'logingpower_lostpassword_label', 20, 3 );
		    function logingpower_lostpassword_label( $translated_text, $text, $domain ) {
		         if ($text === 'Lost your password?') {
		    	$translated_text= sanitize_text_field(get_option('logingpower_settings')['logingpower_lostpassword_text'] ??'Lost your password?');
		         }
		        return $translated_text;
		    }

	}add_action( 'login_enqueue_scripts', 'logingpower_lostpassword') ;
	// add_action( 'login_head', 'logingpower_lostpassword') ;
	